Retrieves the messages from any direct message in the server. For this method to work, navigate to Manage > Workspace > Settings > General > REST API > Enable Direct Message History Endpoint and enable it.
Permission required: view-room-administration.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 0.50.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
The room ID.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }. Refer to the official documentation to learn more.
OK
{
"messages": [
{
"_id": "AkzpHAvZpdnuchw2a",
"rid": "ByehQjC44FwMeiLbX",
"msg": "hi",
"ts": "2016-12-09T12:50:51.555Z",
"u": {
"_id": "y65tAmHs93aDChMWu",
"username": "testing"
},
"_updatedAt": "2016-12-09T12:50:51.562Z"
},
{
"_id": "vkLMxcctR4MuTxreF",
"t": "uj",
"rid": "ByehQjC44FwMeiLbX",
"ts": "2016-12-08T15:41:37.730Z",
"msg": "testing2",
"u": {
"_id": "bRtgdhzM6PD9F8pSx",
"username": "testing2"
},
"groupable": false,
"_updatedAt": "2016-12-08T16:03:25.235Z"
},
{
"_id": "bfRW658nEyEBg75rc",
"t": "uj",
"rid": "ByehQjC44FwMeiLbX",
"ts": "2016-12-07T15:47:49.099Z",
"msg": "testing",
"u": {
"_id": "nSYqWzZ4GsKTX4dyK",
"username": "testing1"
},
"groupable": false,
"_updatedAt": "2016-12-07T15:47:49.099Z"
},
{
"_id": "pbuFiGadhRZTKouhB",
"t": "uj",
"rid": "ByehQjC44FwMeiLbX",
"ts": "2016-12-06T17:57:38.635Z",
"msg": "testing",
"u": {
"_id": "y65tAmHs93aDChMWu",
"username": "testing"
},
"groupable": false,
"_updatedAt": "2016-12-06T17:57:38.635Z"
}
],
"success": true
}Bad Request
{
"success": false,
"error": "This endpoint is disabled [error-endpoint-disabled]",
"errorType": "error-endpoint-disabled",
"details": {
"route": "/api/v1/dm.messages.others"
}
}{
"success": false,
"error": "The parameter \"roomId\" is required [error-roomid-param-not-provided]",
"errorType": "error-roomid-param-not-provided"
}{
"success": false,
"error": "No direct message room found by the id of: john [error-room-not-found]",
"errorType": "error-room-not-found"
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}